MediaTray (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.MediaTray class
Date: 2026-08-19

javax.print.attribute.standard

## Class MediaTray

- java.lang.Object
- - javax.print.attribute.EnumSyntax
  - - javax.print.attribute.standard.Media
    - - javax.print.attribute.standard.MediaTray

- All Implemented Interfaces:
    Serializable, Cloneable, Attribute, DocAttribute, PrintJobAttribute, PrintRequestAttribute

      public class MediaTray
      extends Media
      implements Attribute

  Class MediaTray is a subclass of Media. Class MediaTray is a printing attribute class, an enumeration, that specifies the media tray or bin for the job. This attribute can be used instead of specifying MediaSize or MediaName.

  Class MediaTray declares keywords for standard media kind values. Implementation- or site-defined names for a media kind attribute may also be created by defining a subclass of class MediaTray.

  IPP Compatibility: MediaTray is a representation class for values of the IPP "media" attribute which name paper trays.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MediaTray` | `BOTTOM` The bottom input tray in the printer.
    `static MediaTray` | `ENVELOPE` The envelope input tray in the printer.
    `static MediaTray` | `LARGE_CAPACITY` The large capacity input tray in the printer.
    `static MediaTray` | `MAIN` The main input tray in the printer.
    `static MediaTray` | `MANUAL` The manual feed input tray in the printer.
    `static MediaTray` | `MIDDLE` The middle input tray in the printer.
    `static MediaTray` | `SIDE` The side input tray.
    `static MediaTray` | `TOP` The top input tray in the printer.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MediaTray(int value)` Construct a new media tray enumeration value with the given integer value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EnumSyntax[]` | `getEnumValueTable()` Returns the enumeration value table for class MediaTray.
    `protected String[]` | `getStringTable()` Returns the string table for class MediaTray.

    - ### Methods inherited from class javax.print.attribute.standard.Media

      `equals, getCategory, getName`

    - ### Methods inherited from class javax.print.attribute.EnumSyntax

      `clone, getOffset, getValue, hashCode, readResolve, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.print.attribute.Attribute

      `getCategory, getName`

- - ### Field Detail

    - #### TOP

          public static final MediaTray TOP

      The top input tray in the printer.

    - #### MIDDLE

          public static final MediaTray MIDDLE

      The middle input tray in the printer.

    - #### BOTTOM

          public static final MediaTray BOTTOM

      The bottom input tray in the printer.

    - #### ENVELOPE

          public static final MediaTray ENVELOPE

      The envelope input tray in the printer.

    - #### MANUAL

          public static final MediaTray MANUAL

      The manual feed input tray in the printer.

    - #### LARGE_CAPACITY

          public static final MediaTray LARGE_CAPACITY

      The large capacity input tray in the printer.

    - #### MAIN

          public static final MediaTray MAIN

      The main input tray in the printer.

    - #### SIDE

          public static final MediaTray SIDE

      The side input tray.

  - ### Constructor Detail

    - #### MediaTray

          protected MediaTray(int value)

      Construct a new media tray enumeration value with the given integer value.
      Parameters:
        `value` - Integer value.

  - ### Method Detail

    - #### getStringTable

          protected String[] getStringTable()

      Returns the string table for class MediaTray.
      Overrides:
        `getStringTable` in class `EnumSyntax`
      Returns:
        the string table

    - #### getEnumValueTable

          protected EnumSyntax[] getEnumValueTable()

      Returns the enumeration value table for class MediaTray.
      Overrides:
        `getEnumValueTable` in class `EnumSyntax`
      Returns:
        the value table

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.